<?php
// Get a link helper instance
$linkInstance = WebLinkHelper::createWebLinkHelper($this, 'company_links', 'index.php?app=ship-simu&amp;page=login_area');

// Prefetch the user data
$linkInstance->prefetchValueInstance('user');

// Add link group for company founder
$linkInstance->addLinkGroup('company_founder', "Vielleicht willst du eine virtuelle Reederei gr&uuml;nden, um dich virtuell selbstst&auml;ndig zu machen?");

// Maximum of allowed companies reached?
if ($linkInstance->getValueInstance()->ifUserCreatedMaximumAllowedCompanies()) {
	// No more companies allowed to found
	$linkInstance->addLinkNote("Du hast zu viele Firmen gegr&uuml;ndet. Bitte denke &uuml;ber eine Fusion (Zusammenlegung) nach.");
} elseif ($linkInstance->getValueInstance()->ifUserHasRequiredPoints('found_new_company')) {
	// Enough money to found company
	$linkInstance->addActionLink('company_found', "Gr&uuml;nde eine virtuelle Firma und mache dich (virtuell) selbstst&auml;ndig.");
} else {
	// No more money left for founding company so place link here to refill page/money bank
	if ($linkInstance->getValueInstance()->ifUserAllowedTakeCreditsFromMoneyBank()) {
		// Display link to money bank page
		$linkInstance->addActionLink('moneybank', "Jetzt deinen Kredit tilgen.");
	} elseif ($linkInstance->getValueInstance()->ifUserHasMaximumCreditsWithMoneyBank()) {
		// Maximum credits reached which a money bank can lent
		$linkInstance->addLinkNote("Die Bank kann dir kein Geld mehr leihen, bitte zahle es auch wieder zur&uuml;ck.");
		$linkInstance->addActionLink('moneybank&amp;sub=payback_credits', "Jetzt deinen Kredit tilgen.");
	} else {
		// Money bank is closed!
		$linkInstance->addLinkNote("Die Bank hat derzeit geschlossen. Bitte sp&auml;ter nochmal versuchen.");
	}
}

// Add link group for goverment
$linkInstance->addLinkGroup('goverment', "Bewerbe dich bei anderen Firmen und hole dir eine Starthilfe vom Staat ab wenn du nicht fl&uuml;ssig bist!");

if ($linkInstance->getValueInstance()->ifUserHasRequiredPoints('write_applications')) {
	// Enough money to write applications to other companies
	$linkInstance->addActionLink('company_list', "Alle Firmen auflisten zum Bewerben.");
} elseif ($linkInstance->getValueInstance()->ifGovermentPaysStartupHelp()) {
	// Display link to goverment for startup help
	$linkInstance->addActionLink('goverment&amp;sub=request&amp;request=startup_help', "Direkt zum Antragsformular f&uuml;r deine Starthilfe.");
} else {
	// Even goverment cannot help the gamer here
	$linkInstance->addLinkNote("Leider kann dir der Staat nicht mehr weiterhelfen, dich zu bewerben, da du zu oft Starthilfen erhalten hast. Hier muss aber noch weiter am Spiel gearbeitet werden. :-)");
}

// Add link group for money bank
$linkInstance->addLinkGroup('moneybank', "Leihe dir zu g&uuml;nstigen Zinsen virtuelles Geld aus, wenn du mehr brauchst!");

if ($linkInstance->getValueInstance()->ifUserAllowedTakeCreditsFromMoneyBank()) {
	// Display link to money bank page
	$linkInstance->addActionLink('moneybank', "Jetzt deinen Kredit tilgen.");
} elseif ($linkInstance->getValueInstance()->ifUserHasMaximumCreditsWithMoneyBank()) {
	// Maximum credits reached which a money bank can lent
	$linkInstance->addLinkNote("Die Bank kann dir kein Geld mehr leihen, bitte zahle es auch wieder zur&uuml;ck.");
	$linkInstance->addActionLink('moneybank&amp;sub=payback_credits', "Jetzt deinen Kredit tilgen.");
} else {
	// Money bank is closed!
	$linkInstance->addLinkNote("Die Bank hat derzeit geschlossen. Bitte sp&auml;ter nochmal versuchen.");
}

// Add link group for refill page
$linkInstance->addLinkGroup('refill_page', "Hole dir virtuelles Geld von uns zu fairen Preisen!");

if ($linkInstance->ifRefillPageActive()) {
	// Display link to refill page
	$linkInstance->addActionLink('money_refill', "Jetzt dein virtuelles Geld aufladen.");
} else {
	// Refill page not active
	$linkInstance->addLinkNote("Das Aufladen ist derzeit nicht m&ouml;glich oder gest&ouml;rt und wurde von uns deaktiviert.");
}

// Flush content to the template
$linkInstance->flushContent();

// End of PHP commands
?>
<div class="table_main" id="list_companies">
	<div class="table_header">
		Auflistung der Reedereien, an denenen du dich beteiligst:
	</div>

	<div class="table_list">
		{?company_list?}
	</div>

	<div class="table_footer">
		{?company_links?}
	</div>
</div>
